Subject: [bug#51359] [PATCH 0/1] home-state-service-type and tests suite

From: Andrew Tropin <[email-masked]>
Date: Wed, 08 Jun 2022 21:23:34 +0300

On 2022-06-08 20:02, Oleg Pykhalov wrote:

> Hi Andrew,
>
> Andrew Tropin <[email-masked]> writes:
>
> […]
>
>> Thank you for the patch, but states are very WIP and not ready for
>> upstream yet IMO.  Also, I would like to reevaluate implementation of
>> git service-type and probably merge it separately.
>>
>> Hope I will get back to states in foreseable future and will carefully
>> rethink, refactor and cleanup the code.
>
> If the user's configuration will stay the same, we probably could merge.
>

Not sure if it will stay the same.  The implementation is quite fragile
and for sure should be revisited, maybe the user facing interface can be
organized better as well.

>> BTW, do you use states?  Can you share your experience with it?
>
> I tried the git state and it worked, don't remember rsync.  Also I don't
> use it since the patch submitting day, because of plans to rewrite it.

Ok.  I think I'll experiment with a new version of states in rde project
first and later will come back to merging it to Guix.  It seems as an
important feature, but it's hard to say when I'll get to it.

-- 
Best regards,
Andrew Tropin